/*******************************************************************************
Copyright © 2024 Sebastian Roith <https://www.roith-unterrichtet.de>

Licensed under CC BY 4.0. To view a copy of this license, visit http://creativecommons.org/licenses/by/4.0/
*******************************************************************************/

window.CODINGTASK = {
	"html": "<p>Ergänze folgende Methoden:</p><ul>\n    <li><p>Durch Aufruf der Methode <code>anzahlFestsetzen</code> soll der Wert des Attributes <code>anzahl</code> auf den Wert des einzigen Parameters festgesetzt werden. Verzichte auf eine Überprüfung des Parameterwertes.</p></li>\n    <li><p>Die Methode <code>gesamtpreis</code> soll den Gesamtpreis in Euro berechnen und zurückgeben. Der Gesamtpreis setzt sich aus Einzelpreis mal Anzahl plus der Versandkosten von immer 5,95 € zusammen.</p></li>\n</ul><p>Programmiere die Methoden so kurz und einfach wie möglich. Verwende stets das Schlüsselwort <code>this</code>, wenn du auf Attribute zugreifst.</p>",
	"canReset": true,
	"code": "class EINARTIKELKAUF {\n    String name;\n    int anzahl;\n    double einzelpreis;\n    \n    EINARTIKELKAUF(\n        String name,\n        double einzelpreis\n    ) {\n        this.name = name;\n        this.anzahl = 1;\n        this.einzelpreis = einzelpreis;\n    }\n}",
	"fineSyntax": 1,
	"checkData": [
		{
			"name": "EINARTIKELKAUF",
			"extends": "Object",
			"implements": [],
			"abstract": false,
			"final": false,
			"static": false,
			"content": [
				{
					"name": "name",
					"type": "String",
					"dimensions": "0",
					"final": false,
					"static": false,
					"visibility": 2,
					"content": false,
					"part": "attribute"
				},
				{
					"name": "anzahl",
					"type": "int",
					"dimensions": "0",
					"final": false,
					"static": false,
					"visibility": 2,
					"content": false,
					"part": "attribute"
				},
				{
					"name": "einzelpreis",
					"type": "double",
					"dimensions": "0",
					"final": false,
					"static": false,
					"visibility": 2,
					"content": false,
					"part": "attribute"
				},
				{
					"static": false,
					"visibility": 2,
					"params": [
						{
							"name": "name",
							"type": "String",
							"dimensions": "0",
							"final": false,
							"part": "variable"
						},
						{
							"name": "einzelpreis",
							"type": "double",
							"dimensions": "0",
							"final": false,
							"part": "variable"
						}
					],
					"content": " this . name = name ; this . anzahl = 1 ; this . einzelpreis = einzelpreis ;",
					"part": "constructor"
				},
				{
					"name": "anzahlFestsetzen",
					"type": "void",
					"dimensions": "0",
					"static": false,
					"abstract": false,
					"params": [
						{
							"type": [
								"int",
								"char",
								"byte",
								"short"
							],
							"dimensions": "0",
							"final": false,
							"part": "variable"
						}
					],
					"content": "@this.anzahl = @1;",
					"part": "method"
				},
				{
					"name": "gesamtpreis",
					"type": "double",
					"dimensions": "0",
					"static": false,
					"abstract": false,
					"params": [],
					"content": [
						" return this.anzahl * this.einzelpreis + 5.95;",
						" return this.einzelpreis * this.anzahl + 5.95;",
						" return 5.95 + this.anzahl * this.einzelpreis;",
						" return 5.95 + this.einzelpreis * this.anzahl;"
					],
					"part": "method"
				}
			],
			"part": "class"
		}
	]
}